summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2010-02-21 18:07:22 +0000
committerAndreas Proschofsky <suka@gentoo.org>2010-02-21 18:07:22 +0000
commitaab08e1c2ccb6bf0b660770729fcf13fbb82a30d (patch)
tree64f3905a17a5ffd583ba561788cac68898e158f2 /eclass
parentAdd missing libwnck-python dep to gwibber (diff)
downloadsuka-aab08e1c2ccb6bf0b660770729fcf13fbb82a30d.tar.gz
suka-aab08e1c2ccb6bf0b660770729fcf13fbb82a30d.tar.bz2
suka-aab08e1c2ccb6bf0b660770729fcf13fbb82a30d.zip
sync clutter.eclass to the latest from the gnome overlay
svn path=/; revision=198
Diffstat (limited to 'eclass')
-rw-r--r--eclass/clutter.eclass30
1 files changed, 24 insertions, 6 deletions
diff --git a/eclass/clutter.eclass b/eclass/clutter.eclass
index e5dce3b..45a7c80 100644
--- a/eclass/clutter.eclass
+++ b/eclass/clutter.eclass
@@ -3,9 +3,10 @@
# $Header: $
#
-# clutter.eclass
+# @ECLASS: clutter.eclass
+# @MAINTAINER: GNOME Herd <gnome@gentoo.org>
#
-# Sets SRC_URI, SLOT, and a few deps
+# @BLURB: Sets SRC_URI, LICENSE, etc and exports src_install
#
# Authors:
# Nirbheek Chauhan <nirbheek@gentoo.org>
@@ -17,12 +18,29 @@ HOMEPAGE="http://www.clutter-project.org/"
RV=($(get_version_components))
SRC_URI="http://www.clutter-project.org/sources/${PN}/${RV[0]}.${RV[1]}/${P}.tar.bz2"
+
+# All official clutter packages use LGPL-2
LICENSE="LGPL-2"
+# This will be used by all clutter packages
DEPEND="dev-util/pkgconfig"
+# @ECLASS-VARIABLE: DOCS
+# @DESCRIPTION:
+# This variable holds relative paths of files to be dodoc-ed.
+# By default, it contains the standard list of autotools doc files
DOCS="${DOCS:-AUTHORS ChangeLog NEWS README TODO}"
+# @ECLASS-VARIABLE: EXAMPLES
+# @DESCRIPTION:
+# This variable holds relative paths of files to be added as examples when the
+# "examples" USE-flag exists, and is switched on. Bash expressions can be used
+# since the variable is eval-ed before substitution. Empty by default.
+EXAMPLES="${EXAMPLES:-""}"
+
+# @FUNCTION: clutter_src_install
+# @USAGE:
+# @DESCRIPTION: Runs emake install, dodoc, and installs examples
clutter_src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc ${DOCS} || die "dodoc failed"
@@ -31,13 +49,13 @@ clutter_src_install() {
if hasq examples ${IUSE} && use examples; then
insinto /usr/share/doc/${PF}/examples
- # We use eval to be able to use globs
+ # We use eval to be able to use globs and other bash expressions
for example in $(eval echo ${EXAMPLES}); do
# If directory
- if [[ ${example: -1} = "/" ]]; then
- doins -r ${example}
+ if [[ ${example: -1} == "/" ]]; then
+ doins -r ${example} || die "doins ${example} failed!"
else
- doins ${example}
+ doins ${example} || die "doins ${example} failed!"
fi
done
fi